1.3 - 07.04.2009

- Misc: uncheck selected tracks only if copy to harddsik was successfull

1.3 (Beta2) - 24.03.2009

- BugFix: creating new iTunesDB on a "not emty" iPod fails
- BugFix: copy cover art to harddsik is broken

1.3 (Beta1) - 23.03.2009

- Feature: use a free configurable substitution pattern on copying files from iPod to harddisk

1.2 - 18.03.2009

- BugFix: Drag and Drop from filesystem to JakPod was broken
- BugFix: "date added" and "selected" table sorting was broken
- BugFix: be more tolerant in reading not well tagged mediafiles (fallback: use filename as title if no tag found)
- BugFix: cloning from old iPod (an iPod model before Classic) to new iPod (an iPod model >= Classic) fails in some cases

- Feature: added a progress bar to the splash screen
- Feature: Ctrl+A now toggles between track selection/deselection

- Misc: made index creation more performant
- Misc: model creation (table and tree) completely reworked
- Misc: some focus issues fixed
- Misc: keyboard handling extended
- Misc: english language file reworked

1.1 - 02.03.2009

- BugFix: be more tolerant in reading ID3-V1-Tags

- Feature: Drag and Drop inside JakPod implemented

- Misc: resize iPodDropdownBoxes on resizing of JakPod
- Misc: misspelling in AddMissingAlbumArtEntries tooltip
- Misc: icon to properties window added

1.0 - 11.02.2009

- BugFix: on playlist-copy, on the target iPod the playlist-entries where shown twice

- Misc: show the driveletter of the iPod inside the iPod dropdown box instead of the root node of the iPod-tree

0.99 (Beta1) - 02.02.2009

- BugFix: Audiobooks not shown inside the Audiobooks section (on iPods > 4. Gen)

- Feature: show DRM-protected tracks in red color and show the UserID inside the table view
- Feature: new property to enable/disable copying of DRM-protected tracks between iPods (protection will NOT be removed!)
- Feature: backup and restore implemented
- Feature: iPod cloning implemented
- Feature: loading iPod-backup as iPod implemented

0.92 - 22.12.2008

- Feature: simple playlisthandling (for static playlists) implemented

- Misc: new jaudiotagger version (1.177)
- Misc: because of a limitiation of jaudiotagger mp4 video support doesn't work at the moment

0.91 - 25.11.2008

- BugFix: copy files Bug fixed

0.91 (Beta1) - 25.11.2008

- BugFix: on iPod Shuffles some songs where not played (although they are on the Shuffle itself and in the DBs)
- BugFix: removing and creating of sorting details fixed
- BugFix: add missing entries or recreate database Bug fixed (tracks where shown twice in some cases)

- Feature: properties dialog added

- Misc: new jaudiotagger version

0.9 - 04.11.2008

- BugFix: iPod could not be found on LINUX systems fixed
- BugFix: memoryleak fixed - on multiple connect/disconnect of iPods JakPod runs in OOME

0.9 (Beta4) - 29.10.2008

- Misc: if parsing of the iTunesDB wents totaly wrong - backup the old one and create a new and empty iTunesDB. This opens the possibility to execute repair operations on this iPod.

0.9 (Beta3) - 27.10.2008

- Misc: meta-tag library switched from entagged audioformats to jaudiotagger (jaudiotagger is much slower than the entagged package - but it works correctly) Unfortunately it is also much bigger. :o(

0.9 (Beta2) - 25.10.2008

- BugFix: creation of mhiiIDs fixed

- Misc: log the artist and album name on "Ctrl+M" instead of the albumID
- Misc: log the artist and album name on "Ctrl+B" instead of the mhii- and albumID
- Misc: removed the albumID from the tracknames in the list and treeview

0.9 (Beta1) - 22.10.2008

- BugFix: some artists where shown several times
- BugFix: albumID creation fixed
- BugFix: show a "save" instead of an "open" Button in the "save to harddisk" dialog
- BugFix: calculation of total track length fixed (regarding on album art)

- Feature: remember selected track items on filtering
- Feature: clear track selection after copy operations
- Feature: new property (in ipod.properties) to set the initial iPod name
- Feature: show compilations in an own "compilations" folder (before every artist of a compilation was shown separately)
- Feature: new dropdownBox to filter the iPod content by playlists
- Feature: copy albumArt back to Harddisk
- Feature: Hidden feature "Ctrl+B" to log different albums with same mhiiID to the error.log (to find double/faulty album art)
- Feature: Hidden feature "Ctrl+M" to log (and correct the track properties) albums where no track has artwork assigned (to find albums without album art)

- Misc: "extreme" code cleanup (javadoc fixed, methods renamed...)
- Misc: new lookup mechanism for finding image items also on older iPod models
- Misc: enhancements reading the SysInfoExtendet-XML-File
- Misc: log artworkDB stuff into a separate logfile
- Misc: a lot of helper methods put into the Utils class
- Misc: put iTunesDB handling into a seperate manager
- Misc: put iTunesSD handling into a seperate manager
- Misc: put iPod Management into a seperate manager
- Misc: filtering improved

0.87 - 25.08.2008

- BugFix: creating of a new trackDBID was buggy (the "multiple speakers" bug)
- BugFix: creating of a new albumID was buggy if there was no artist or album set on the track

- Feature: Hidden feature "Ctrl+D" added to fix the "multiple speakers" bug
- Feature: Save compilations in an separate "compilation" folder on harddisc and add the artist name to the trackname (the compilation foldername is configurable within the "jakpod.properties")

- Misc: on copying of tracks the "date added" will be set to current date
- Misc: on copying of tracks reset "rating", "playcount" to 0 and set the iTunsDBID to the track
- Misc: take care about artwork size on size calculation (e.g. for copy operations)
- Misc: set the reserved size for iTunesDB and ArtworkDB on copy operations to 40MB

0.86b - 19.08.2008

- BugFix: copy album art from iPod to iPod rework
- BugFix: reorganizing ArtworkDB action fixed

- Misc: image item handling adapted to the iTunes behavior (only one image item per raw image data)

0.86a - 15.08.2008

- BugFix: add missing album art action fixed
- BugFix: reorganize artworkDB action fixed

0.86 - 08.08.2008

- BugFix: reorganizing of ArtworkDB muddles AlbumArt in some cases
- BugFix: updatemanager fixed

- Feature: create iTunes compatible *.ithmb files (new menu entry)

- Misc: set new (and maybe more senseful) default sorting strings in iPod.properties
- Misc: put ArtworkDB handling into a seperate Manager

0.85a - 26.06.2008

- BugFix: Update check fixed

- Feature: Startup of JakPod speedup

- Misc: Create an AlbumList inside the iTunesDB if there is none

0.85 - 24.06.2008

- BugFix: letter jumping (maybe finally) fixed
- BugFix: copy tracks from iPod to iPod fixed (tracks couldn't be found on the source iPod after copying under some circumstances)

- Feature: Artwork copy support on copy from iPod to iPod (at the moment this works only for iPods of the same generation. Enable or disable it by setting "copyAlbumArt=" true or false inside the jakpod.properties)
- Feature: Delete defective database entries deletes defective entries from the ArtworkDB
- Feature: Reorganizing of ArtworkDB and artwork files added (removes duplicates and unreferenced images from *.ithmb files)
- Feature: new menuitem inside the "Tools" menu to reorganize the ArtworkDB

- Misc: creating of new and empty ArtworkDB implemented

0.84 (Beta4) - 03.06.2008

- BugFix: letter jumping (on fast scrolling) fixed

- Feature: reading, writing, validation of ArtworkDB completed
- Feature: support for commaseparated list of artist ignore strings inside the iPod.properties added
- Feature: new menu "Tools"
- Feature: new menuitem inside the "Tools" menu to remove sorting details from the iTunesDB
- Feature: new menuitem inside the "Tools" menu to create sorting details inside the iTunesDB
- Feature: new menuitem inside the "Tools" menu that sets the album art for tracks without albumart to the albumart of a track from the same album that has album art.

- Misc: creating of new and empty iTunesDB adapted to iTunes behavior

0.84 (Beta 3) - 19.05.2008

- BugFix: erroneous playlist handling fixed
- BugFix: erroneous repair actions fixed

- Feature: hidden repair option "Ctrl+R", "Ctrl+S" (only for broken iTunesDBs from erroneous repair options)

- Misc: iTunesDB handling reworked (new validator methods, new package structure etc.)
- Misc: ArtworkDB reading implemented

0.84 (Beta 2) - 23.04.2008

- BugFix: repair actions now adds only files from a valid location
- BugFix: support reading verry old Databases
- BugFix: copy files to harddisk ends in an error if the "album" tag is empty

- Feature: search the whole iPod for media files (not only "iPod_Control/Music/") - property in "jakpod.properties" added
- Feature: compilation flag will be set dependent to the ID3-Tag field "TCMP"
- Feature: added handling of searchLPI details for newer iPods

- Misc: stateless progress bars no longer stay on top if the JakPod application lost the focus  

0.84 (Beta 1) - 30.09.2007

- BugFix: AlbumList handling extendet

- Feature: new iPod support added (only if an SysInfo or SysInfoExtended file is present in "/iPod_Control/Device/" and contains a valid FireWireGUID!)
 
0.83 - 15.09.2007

- BugFix: parser improved to read old iTunesDBs
- BugFix: invalid character replacement for artist/album extendet

0.82 - 22.08.2007

- Feature: Check for updates option added
- Feature: The last download location is stored in an property file

- Misc: Write the version number of iTunes 7.2 in new created iTunesDBs
- Misc: Misspelings fixed
- Misc: Code cleanup and documentation

0.81 - 29.05.2007

- Misc: some misspellings in the english language files fixed
- Misc: CR LF characters replaced with a single LF in all textfiles
- Misc: made jakpod.sh more flixible to support execution also from outside the JakPod home (eg. shortcut)

0.81 (Beta4) - 22.05.2007

- BugFix: JakPod doesn't start if there is no library playlist

- Feature: Table view now shows the date the track was added to the iPod
- Feature: "mp4" support added

- Misc: small filetype handling enhancements

08.1 (Beta3) - 27.03.2007

- BugFix: Drag n Drop on UNIX machines fixed
- BugFix: support the new iTunes track sorting

- Misc: The local lirary will be shown on the left hand when JakPod starts

08.1 (Beta2) - 20.03.2007

- BugFix: Wrong title is shown on tracks without titlenumber inside the tag

- Feature: Drag n Drop between operating system and JakPod implemented

- Misc: all errors will be written to an new created error.log file
- Misc: now you can use the F8 key to delete tracks

08 - 16.03.2007

- BugFix: Error with empty iTunes 7.1 databases fixed

- Feature: Repair actions now also can handle "mp3", "wav", "m4a", "m4b", "mp4" and "m4v" files

- Misc: iPodManager-Package code- and JavaDoc- cleanup
- Misc: New connected iPods now are logging in level "INFO" instead of "WARNING"
- Misc: Writing iTunesDB and iTunesSD now logs in level "INFO" instead of "WARNING"
- Misc: Default loglevel for iPodLoglevel set to INFO

- Knwon issues: If the "sorting tag" is used (in iTunes) - Artists may appear twice on the iPod

0.8 (Beta4) - 12.03.2007

- Bugfix: New iTunes DB writing stabilization

0.8 (Beta3) - 12.03.2007

- BugFix: Made some changes to support the new iTunesDB Format

0.8 (Beta2) - 12.03.2007

- BugFix: Made some changes to support the new iTunesDB Format

0.8 (Beta1) - 08.03.2007

- BugFix: The new iTunesDB Format is supported

0.7 - 05.03.2007

- Feature: simple search filter implemented

- Misc: english resource file corrected
- Misc: new created databases have the version number "7"
- Misc: code cleanup for the first release

0.6 (Beta)  - 2.02.2007

- Feature: english resource file added
- Feature: mp4/aac support added (experimental!)
- Feature: the about screen is implemented

0.5 (Beta) - 19.02.2007

- BugFix: UNIX related path issues fixed (most repair operations on UNIX systems was unusable before)
- BugFix: the Beta-Warning Dialog now exits the application if it is closed via "x" or "alt+F4"
- BugFix: recursive file collection fixed (there was a permission related problem)

- Feature: a new configuration value "scanForConnectedIPodsInterval" in jakpod.properties

0.41 (Beta) - 14.02.2007

- BugFix: fixed an case sensitivity bug

0.4 (Beta) - 13.02.2007

- BugFix: rework of the fixed Beta 3 - search using the keyboard again works as expected
- BugFix: typos in message boxes fixed

- Feature: marking tracks now can be done using the insert key

- Misc: new splashscreen added
- Misc: a program icon added
- Misc: program version string moved from the language file to the program itself
- Misc: a "Beta-Version" warning message added

... code cleanup for the first official beta on the new created homepage

0.3a (Beta) - 15.01.2007

- BugFix: on copying files to iPod - under some circumstances a restart of JakPod was necessary to see the tracks on the iPod

0.3 (Beta) - 15.01.2007

- BugFix: new connected iPods not found dynamically

- Feature: show a simple rating column in table view
- Feature: show an destination selection dialog before copying to harddisk
- Feature: check available space on harddisk before copying
- Feature: show an overwriting dialog on adding files to the local music library (if there are any duplicates to add)
- Feature: provide a *.bat and *.sh file to start JakPod
- Feature: check if the user has an java 6 or 7 installed - show an message window if not

... and much more small fixes (like program icon), code documentation and rework.

0.2 (Beta) - 23.12.2006

- initial public release